### Constructor

# Gtk TextMark new

#### Declaration [src]

    GtkTextMark*
    gtk_text_mark_new (
      const char* name,
      gboolean left_gravity
    )

#### Description [src]

Creates a text mark.

Add it to a buffer using gtk_text_buffer_add_mark(). If `name` is `NULL`, the mark is anonymous; otherwise, the mark can be retrieved by name using gtk_text_buffer_get_mark(). If a mark has left gravity, and text is inserted at the mark’s current location, the mark will be moved to the left of the newly-inserted text. If the mark has right gravity (`left_gravity` = `FALSE`), the mark will end up on the right of newly-inserted text. The standard left-to-right cursor is a mark with right gravity (when you type, the cursor stays on the right side of the text you’re typing).

#### Parameters

`name` | `const char*`
| Mark name.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`left_gravity` | `gboolean`
| Whether the mark should have left gravity.

#### Return value

Returns: | `GtkTextMark`
| New `GtkTextMark`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.